<div  *ngIf="mainStatusAsset">
    <div>
        <div class="row">
           <!-- inside componettttttttt{{formConfigData|json}}-->
            <div class="form-group py-2 col-sm-12 col-md-4 col-lg-4 .col-xl-4" style="float: left"  *ngFor="let field of formConfigData">

                <div>
                    <div *ngIf=" field.fieldDisplayType==='number' ">
                        <label for="description" class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="number" class="form-control" id="description" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" #description="ngModel" required>
                        <div [hidden]="description.valid || description.pristine"
                             class="alert alert-danger">
                            description is required
                    </div>

                    <div *ngIf=" field.fieldDisplayType==='password' ">
                        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="password" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" required>
                    </div>

                    <div *ngIf="field.required  && field.fieldDisplayType==='text' ">
                        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" required>
                    </div>
                    <div *ngIf="!field.required  && field.fieldDisplayType==='text'">
                        <label class="text-capitalize">{{field.label}}</label>
                        <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]">
                    </div>
                </div>
                <div *ngIf="field.field!=='corporateContract' && field.fieldDisplayType==='dropDown' ">
                    <div class="text-capitalize">{{field.label}}</div>
                    <select [(ngModel)]="formConfigData[field.field]" id="category" class="form-control">
                        <option  *ngFor="let value of field.value.dropDownValues">{{value}}</option>
                    </select>
                </div>

                <div *ngIf="field.fieldDisplayType==='textarea' ">
                    <div class="form-group">
                        <label class="text-capitalize">{{field.label}}</label>
                        <textarea class="form-control" rows="3" [(ngModel)]="formConfigData[field.field]"  ></textarea>
                    </div>
                </div>

                <div *ngIf="field.fieldDisplayType==='date'">
                    <label class="text-capitalize fontMedium">{{field.label}}</label>
                    <form class="form-inline">
                        <div class="form-group">
                            <div class="input-group">
                                <input class="form-control" placeholder="yyyy-mm-dd"
                                       name="dp" [(ngModel)]="formConfigData[field.field]" ngbDatepicker #d="ngbDatepicker">
                                <div class="input-group-append">
                                    <button class="" (click)="d.toggle()" type="button"><i class="fa fa-calendar-check-o"
                                                                                           aria-hidden="true"></i>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>

            </div>
        </div>



    </div>

    <div>
        <button class='btn btn-primary' id="modal-close" data-dismiss="modal"  *ngIf="mainStatusAsset" (click)="submitConfigDetails()">Submit</button>
        <button class='btn btn-primary' id="modal-close" data-dismiss="modal" *ngIf="!mainStatusAsset" (click)="submitParameterConfigDetails()">Submit</button>
        <button class='btn btn-warning' id="modal-close" data-dismiss="modal"><span
                aria-hidden="true">Close</span></button>

    </div>

</div>
</div>


<div  *ngIf="!mainStatusAsset && assetParameterConfigName!=='userConfig'">
    <div *ngIf="assetParameterConfigName==='vechicleHistoryType'">
        <div class="text-capitalize">Vechicle Name:<span style="color:red">*</span></div>
        <select (change)="showVechicleId(value)"  [(ngModel)]="vechicleID" id="vechicleID" class="form-control">
            <option  *ngFor="let value of vechicleAssetsDropDown">{{value.vehicleNumber}}</option>
        </select>

    </div>
        <div class="row">

            <div class="form-group py-2 col-sm-12 col-md-12 col-lg-12 .col-xl-12" style="float: left"  *ngFor="let field of formConfigData">

                <div>
                    <div *ngIf=" field.fieldDisplayType==='number' ">
                        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="number" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" required>
                    </div>

                    <div *ngIf=" field.fieldDisplayType==='password' ">
                        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="password" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" required>
                    </div>

                    <div *ngIf="field.required  && field.fieldDisplayType==='text' ">
                        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" required>
                    </div>
                    <div *ngIf="!field.required  && field.fieldDisplayType==='text'">
                        <label class="text-capitalize">{{field.label}}</label>
                        <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]">
                    </div>
                </div>
                <div *ngIf="field.field!=='corporateContract' && field.fieldDisplayType==='dropDown' ">
                    <div class="text-capitalize">{{field.label}}</div>
                    <select [(ngModel)]="formConfigData[field.field]" id="category" class="form-control">
                        <option  *ngFor="let value of field.value.dropDownValues">{{value}}</option>
                    </select>
                </div>

                <div *ngIf="field.fieldDisplayType==='textarea' ">
                    <div class="form-group">
                        <label class="text-capitalize">{{field.label}}</label>
                        <textarea class="form-control" rows="3" [(ngModel)]="formConfigData[field.field]"  ></textarea>
                    </div>
                </div>

                <div *ngIf="field.fieldDisplayType==='date'">
                    <label class="text-capitalize fontMedium">{{field.label}}</label>
                    <form class="form-inline">
                        <div class="form-group">
                            <div class="input-group">
                                <input class="form-control" placeholder="yyyy-mm-dd"
                                       name="dp" [(ngModel)]="formConfigData[field.field]" ngbDatepicker #d="ngbDatepicker">
                                <div class="input-group-append">
                                    <button class="" (click)="d.toggle()" type="button"><i class="fa fa-calendar-check-o"
                                                                                           aria-hidden="true"></i>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>

            </div>
        </div>




    <div  class="modal-footer">
        <button class='btn btn-primary' *ngIf="mainStatusAsset" (click)="submitConfigDetails()">Submit</button>
        <button class='btn btn-primary' *ngIf="!mainStatusAsset" (click)="submitParameterConfigDetails()">Submit</button>
        <button class='btn btn-warning' id="modal-close" data-dismiss="modal"><span
                aria-hidden="true">Close</span></button>

    </div>
</div>



<div  *ngIf="!mainStatusAsset && assetParameterConfigName==='userConfig'">

    <div class="row">

        <div class="form-group py-2 col-sm-6 col-md-6 col-lg-6 .col-xl-6" style="float: left"  *ngFor="let field of formConfigData">

            <div>
                <div *ngIf=" field.fieldDisplayType==='number' ">
                    <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                    <input type="number" class="form-control" placeholder={{field.description}} name=field.label
                           [(ngModel)]="formConfigData[field.field]" required>
                </div>

                <div *ngIf=" field.fieldDisplayType==='password' ">
                    <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                    <input type="password" class="form-control" placeholder={{field.description}} name=field.label
                           [(ngModel)]="formConfigData[field.field]" required>
                </div>

                <div *ngIf="field.required  && field.fieldDisplayType==='text' ">
                    <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                    <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                           [(ngModel)]="formConfigData[field.field]" required>
                </div>
                <div *ngIf="!field.required  && field.fieldDisplayType==='text'">
                    <label class="text-capitalize">{{field.label}}</label>
                    <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                           [(ngModel)]="formConfigData[field.field]">
                </div>
            </div>
            <div *ngIf="field.field!=='corporateContract' && field.fieldDisplayType==='dropDown' ">
                <div class="text-capitalize">{{field.label}}</div>
                <select [(ngModel)]="formConfigData[field.field]" id="category" class="form-control">
                    <option  *ngFor="let value of field.value.dropDownValues">{{value}}</option>
                </select>
            </div>

            <div *ngIf="field.fieldDisplayType==='textarea' ">
                <div class="form-group">
                    <label class="text-capitalize">{{field.label}}</label>
                    <textarea class="form-control" rows="3" [(ngModel)]="formConfigData[field.field]"  ></textarea>
                </div>
            </div>

            <div *ngIf="field.fieldDisplayType==='date'">
                <label class="text-capitalize fontMedium">{{field.label}}</label>
                <form class="form-inline">
                    <div class="form-group">
                        <div class="input-group">
                            <input class="form-control" placeholder="yyyy-mm-dd"
                                   name="dp" [(ngModel)]="formConfigData[field.field]" ngbDatepicker #d="ngbDatepicker"  dateFormat="dd-MMM-yyyy">
                            <div class="input-group-append">
                                <button class="" (click)="d.toggle()" type="button"><i class="fa fa-calendar-check-o"
                                                                                       aria-hidden="true"></i>
                                </button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>

        </div>
    </div>




    <div  class="modal-footer">
        <button class='btn btn-primary' *ngIf="mainStatusAsset" (click)="submitConfigDetails()">Submit</button>
        <button class='btn btn-primary' *ngIf="!mainStatusAsset" (click)="submitParameterConfigDetails()">Submit</button>
        <button class='btn btn-warning' id="modal-close" data-dismiss="modal"><span
                aria-hidden="true">Close</span></button>

    </div>
</div>




